%global pkg_name attempt

%global common_summary Data type for handling extensible exceptions as failures

%global common_description Defines a data type, Attempt, which has a Success and Failure \
constructor. Failure contains an extensible exception.

%global ghc_pkg_deps ghc-failure-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3.0
Release:        4%{?dist}.0.arm1
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 %{arm}
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Tue Sep 27 2011 Henrik Nordstrom <henrik.net> - 0.3.0-4.fc15.0.arm1
- Enable build on armv7hl

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.3.0-2
- Update to cabal2spec-0.22.4
- Rebuild

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
